from flask import Blueprint, render_template, current_app, request

bp = Blueprint('main', __name__)

@bp.route("/")
def index():
    return render_template("index.html")

@bp.route("/upload", methods=["GET", "POST"])
def upload():
    if request.method == "POST":
        # CSV upload logic here
        pass        
    return render_template("upload.html")

@bp.route("/papers")
def papers():
    return render_template("papers.html", app_title="PaperScraper")

@bp.route("/schedule")
def schedule():
    return render_template("schedule.html", app_title="PaperScraper")

@bp.route("/logs")
def logs():
    return render_template("logs.html", app_title="PaperScraper")

@bp.route("/about")
def about():
    return render_template("about.html", app_title="PaperScraper")
